### Function

# GLib build_filenamev

since: 2.8

#### Declaration [src]

    gchar*
    g_build_filenamev (
      gchar** args
    )

#### Description [src]

Creates a filename from a vector of elements using the correct separator for the current platform.

This function behaves exactly like g_build_filename(), but takes the path elements as a string array, instead of varargs. This function is mainly meant for language bindings.

If you are building a path programmatically you may want to use `GPathBuf` instead.

Available since: 2.8

#### Parameters

`args`

  Type: An array of `filename`

  `NULL`-terminated array of strings containing the path elements.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

#### Return value

Type: `gchar*`

The newly allocated path.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.